mscorlib 2.0.0.0 4.0.0.0 System.Text.EncoderFallback

A common reason for an encoding or decoding operation to fail is if the underlying encoding class does not provide a mapping between a character and an equivalent byte sequence. For example, an object cannot encode a character having a Unicode code point value that is outside the range U+0000 to U+007F. If the input character cannot be converted to an output byte sequence, a object substitutes a specified replacement string for the original input character. The conversion process encodes the replacement string and then continues to process the remainder of the original input.

The value of a object is the replacement string used to initialize that object.

This class is one of two .NET Framework classes that implement different fallback strategies for handling encoding conversion failures. The other class is the class, which throws an when an invalid character is encountered.

When you choose a fallback string to use with this class, make sure that the string is composed entirely of characters that can be encoded in the target encoding. Otherwise, a recursive fallback results, causing an .

Provides a failure handling mechanism, called a fallback, for an input character that cannot be converted to an output byte sequence. The fallback uses a user-specified replacement string instead of the original input character. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  By default, the replacement string that is the value of this object is "?".

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter initializes the replacement string that is the value of this object. You application must provide a value that contains only characters that can be encoded in the target encoding. Otherwise, a recursive fallback results, causing an . For example, the fallback provided for an object cannot include the character "¿" (U+00BF) because that character is itself not a valid ASCII character.

  As a result of this, U+FFFD, which is a good choice for a fallback string for , is not generally a good choice for this class. Also, the null character (U+0000) cannot be used in the fallback string.

  Initializes a new instance of the class using a specified replacement string.

  A string that is converted in an encoding operation in place of an input character that cannot be encoded.
- Method
  2.0.0.0
  4.0.0.0
  System.Text.EncoderFallbackBuffer To be added.

  Creates a object that is initialized with the replacement string of this object.

  A object equal to this object.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the replacement string that is the value of the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The value of a object is the value of its property.

  Indicates whether the value of a specified object is equal to the object.

  true if the parameter specifies an object and the replacement string of that object is equal to the replacement string of this object; otherwise, false.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The value of a object is the value of its property.

  Retrieves the hash code for the value of the object.

  The hash code of the value of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of characters in the replacement string for the object.